CTAUTO:DevOps:860.50:devops4fp1:Error occurred during LINUX Dmesg error Checking for all LINUX clients for devops4p10

Bug #1766201 reported by bugproxy on 2018-04-23
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Canonical Kernel Team
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]

The integrity subsystem is still reporting error messages like this at boot:

  integrity: Unable to open file: /etc/keys/x509_evm.der (-2)

In a previous commit we have downgraded this error to warning:

https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/bionic/commit/?h=master-next&id=58441dc86d7b066a2c02079829a96035587a7066

(this fix is applied everywhere, not only in bionic)

But there's another place (security/integrity/digsig.c) that reports the same error message that should be also downgraded to warning for consistency.

[Test Case]

No special test case is required, errors are reported at boot if an integrity policy is enabled.

[Fix]

Downgrade also this error message to a warning.

[Regression Potential]

It is a one-liner that changes a printk() error message, regression potential is minimal.

[Original bug report]

== Comment: #0 - Application Cdeadmin <email address hidden> - 2018-04-20 05:56:03 ==

== Comment: #1 - Application Cdeadmin <email address hidden> - 2018-04-20 05:56:05 ==
==== State: Open by: stccdenv on 18 April 2018 06:27:28 ====

This defect was opened automatically using defect_template with only logs. Please refer to 2nd seq for the problem description.

==========================Automatic entries==========================
Full Log: http://w3.austin.ibm.com/afs/awd.austin.ibm.com/u/stccdenv/logs/devops4fp1_defect_template_20180418060138

Contact: Thirukumaran V T (<email address hidden>), Tommy Adams(<email address hidden>)
Backup: Atit Patel (<email address hidden>)

System Name: devops4fp1
FSP IP: 9.3.136.192 (devops4fp1.aus.stglabs.ibm.com)
System Firmware Level:
 Current Side Driver:.....fips861/b0413a_1816.861
 Non-Current Side Driver:.fips861/b0410a_1816.861

Lpar Access: Please refer https://pcajet.aus.stglabs.ibm.com/ for the lab password. (The Lab Test Passwords are now accessible only through the auto or manual install web apps. For example, from the manual install web app, enter your email address, check the Lab Passwords checkbox and then click on Submit.)
(To access the Lpars in 10.33.x.x network, login to any LCB or HMC then ssh/telnet to 10.33.x.x lpars)

-------------------------------------------------------
HMC IP: 9.3.118.110 (vhmccloudtst100.aus.stglabs.ibm.com)
HMC Version:
"version= Version: 9
 Release: 1
 Service Pack: 910
HMC Build level 1803052221
","base_version=V9R1
"

-------------------------------------------------------

=================================Logs================================
SNAP :
devops4p02: /tmp/ibmsupt/snap.pax.Z.devops4p02.180418060149 and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/snap.pax.Z.devops4p02.180418060149 /tmp/IBM.DRM.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060149.tar.gz.devops4p02 /tmp/htx.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060149.tar.gz.devops4p02
devops4p03: /tmp/ibmsupt/snap.pax.Z.devops4p03.180418060149 and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/snap.pax.Z.devops4p03.180418060149 /tmp/IBM.DRM.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060149.tar.gz.devops4p03 /tmp/htx.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060149.tar.gz.devops4p03
devops4p04: /tmp/ibmsupt/snap.pax.Z.devops4p04.180418060148 and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/snap.pax.Z.devops4p04.180418060148 /tmp/IBM.DRM.180418060148.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060148.tar.gz.devops4p04 /tmp/htx.180418060148.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060148.tar.gz.devops4p04
devops4p05: /tmp/ibmsupt/snap.pax.Z.devops4p05.180418060148 and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/snap.pax.Z.devops4p05.180418060148 /tmp/IBM.DRM.180418060148.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060148.tar.gz.devops4p05 /tmp/htx.180418060148.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060148.tar.gz.devops4p05
devops4p06: /tmp/ctsupt/ctsnap.linux-hjmh.04180701.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/ctsnap.linux-hjmh.04180701.tar.gz /tmp/var_log.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/var_log.180418060149.tar.gz /var/log/nts_linux-hjmh_180418_0703.tbz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/nts_linux-hjmh_180418_0703.tbz /tmp/IBM.DRM.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060149.tar.gz.devops4p06 /tmp/htx.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060149.tar.gz.devops4p06
devops4p07: /tmp/ctsupt/ctsnap.devops4p07.04180601.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/ctsnap.devops4p07.04180601.tar.gz /tmp/var_log.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/var_log.180418060149.tar.gz /var/tmp/sosreport-devops4p07.aus.stglabs.ibm.com-20180418060350.tar.xz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/sosreport-devops4p07.aus.stglabs.ibm.com-20180418060350.tar.xz /tmp/IBM.DRM.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060149.tar.gz.devops4p07 /tmp/htx.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060149.tar.gz.devops4p07
devops4p08: /tmp/ctsupt/ctsnap.devops4p08.04180601.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/ctsnap.devops4p08.04180601.tar.gz /tmp/var_log.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/var_log.180418060149.tar.gz /var/tmp/sosreport-devops4p08-20180418060355.tar.xz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/sosreport-devops4p08-20180418060355.tar.xz /tmp/IBM.DRM.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060149.tar.gz.devops4p08 /tmp/htx.180418060149.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060149.tar.gz.devops4p08
devops4p09: /tmp/ctsupt/ctsnap.devops4p09.04180602.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/ctsnap.devops4p09.04180602.tar.gz /tmp/var_log.180418060152.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/var_log.180418060152.tar.gz /tmp/sosreport-devops4p09-20180418060347.tar.xz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/sosreport-devops4p09-20180418060347.tar.xz /tmp/IBM.DRM.180418060152.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060152.tar.gz.devops4p09 /tmp/htx.180418060152.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060152.tar.gz.devops4p09
devops4p10: /tmp/ctsupt/ctsnap.devops4p10.0418060209.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/ctsnap.devops4p10.0418060209.tar.gz Warning: Permanently added 'devops4p10,9.3.13.168' (ECDSA) to the list of known hosts.
 tar: Removing leading `/' from member names /var/log/ /var/log/drmgr /var/log/epow_status /var/log/htx_install_path /var/log/dmesg /var/log/alternatives.log /var/log/kern.log /var/log/auth.log /var/log/fontconfig.log /var/log/ppc64-diag/ /var/log/ppc64-diag/diag_disk/ /var/log/apt/ /var/log/apt/history.log /var/log/apt/term.log /var/log/apt/eipp.log.xz /var/log/platform /var/log/unattended-upgrades/ /var/log/unattended-upgrades/unattended-upgrades-shutdown.log /var/log/dump/ /var/log/installer/ /var/log/installer/initial-status.gz /var/log/installer/lsb-release /var/log/installer/syslog /var/log/installer/hardware-summary /var/log/installer/status /var/log/installer/cdebconf/ /var/log/installer/cdebconf/templates.dat /var/log/installer/cdebconf/questions.dat /var/log/installer/partman /var/log/syslog /var/log/btmp /var/log/sysstat/ /var/log/lastlog /var/log/fsck/ /var/log/fsck/checkfs /var/log/fsck/checkroot /var/log/wtmp /var/log/faillog /var/log/rtas_errd.log /var/log/indicators /var/log/dpkg.log /var/log/dist-upgrade/ /var/log/dist-upgrade/apt-clone_system_state.tar.gz /var/log/dist-upgrade/20180418-0044/ /var/log/dist-upgrade/20180418-0044/xorg_fixup.log /var/log/dist-upgrade/20180418-0044/apt-term.log /var/log/dist-upgrade/20180418-0044/history.log /var/log/dist-upgrade/20180418-0044/apt.log /var/log/dist-upgrade/20180418-0044/main.log /var/log/dist-upgrade/apt-term.log /var/log/dist-upgrade/history.log /var/log/dist-upgrade/apt.log /var/log/dist-upgrade/main.log /var/log/dist-upgrade/eipp.log.xz /var/log/dist-upgrade/lspci.txt /var/log/journal/ /var/log/journal/ef15610498e144f3ad490f1510be51fb/ /var/log/journal/ef15610498e144f3ad490f1510be51fb/system.journal /var/log/journal/ef15610498e144f3ad490f1510be51fb/system@89fa121dce60471fb8f8db895a3ee928-0000000000000001-00056a16c388300c.journal tar: /var/log/journal/ef15610498e144f3ad490f1510be51fb/system.journal: file changed as we read it /tmp/sosreport-devops4p10-20180418060610.tar.xz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/sosreport-devops4p10-20180418060610.tar.xz /tmp/IBM.DRM.180418060156.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060156.tar.gz.devops4p10 /tmp/htx.180418060156.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/htx.180418060156.tar.gz.devops4p10
devops4p01: /home/padmin/snap.pax.Z.180418060145 and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/snap.pax.Z.devops4p01.180418060145 /home/padmin/IBM.DRM.180418060145.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.180418060145.tar.gz.devops4p01

Jenkins Log:
http://gfwa123.aus.stglabs.ibm.com:8082/job/STC%20Automation%20Test/401/
===================================END===============================
==== State: Open by: stccdenv on 20 April 2018 05:54:35 ====

Hi Ubuntu Screen Team,

We encountered the following message while polling for dmesg on the LINUX Ubuntu LPAR using the command, dmesg -xT -l emerg,alert,crit,err

(0) root @ devops4p10: /tmp
# dmesg -xT -l emerg,alert,crit,err
kern :err : [Wed Apr 18 05:23:53 2018] print_req_error: critical target error, dev sr0, sector 1457408
kern :err : [Wed Apr 18 06:07:02 2018] print_req_error: critical target error, dev sr0, sector 1457408
kern :err : [Fri Apr 20 05:28:44 2018] print_req_error: critical target error, dev sr0, sector 1457408

Attached with this CQ is the drmgr, dmesg and sosreport logs.

Thank you.

stccdenv (<email address hidden>) added native attachment /opt/IBM/WebSphere/AppServer/profiles/cqweb/temp/cqweb06Node01/server1/TeamEAR/cqweb.war/rkJwXSo9czeR_XEsVOVNgOr_1524221306674/dmesg on 2018-04-20 05:53:32
stccdenv (<email address hidden>) added native attachment /opt/IBM/WebSphere/AppServer/profiles/cqweb/temp/cqweb06Node01/server1/TeamEAR/cqweb.war/rkJwXSo9czeR_XEsVOVNgOr_1524221322776/drmgr on 2018-04-20 05:53:32
stccdenv (<email address hidden>) added native attachment /opt/IBM/WebSphere/AppServer/profiles/cqweb/temp/cqweb06Node01/server1/TeamEAR/cqweb.war/rkJwXSo9czeR_XEsVOVNgOr_1524221405139/sosreport-devops4p10-20180420052752.tar.xz on 2018-04-20 05:53:32

stccdenv (<email address hidden>) added native attachment /opt/IBM/WebSphere/AppServer/profiles/cqweb/temp/cqweb06Node01/server1/TeamEAR/cqweb.war/rkJwXSo9czeR_XEsVOVNgOr_1524221306674/dmesg on 2018-04-20 05:54:35
stccdenv (<email address hidden>) added native attachment /opt/IBM/WebSphere/AppServer/profiles/cqweb/temp/cqweb06Node01/server1/TeamEAR/cqweb.war/rkJwXSo9czeR_XEsVOVNgOr_1524221322776/drmgr on 2018-04-20 05:54:35

== Comment: #2 - Application Cdeadmin <email address hidden> - 2018-04-20 05:56:09 ==

== Comment: #3 - Application Cdeadmin <email address hidden> - 2018-04-20 05:56:10 ==

== Comment: #4 - STC-Continous Delivery-Environment <email address hidden> - 2018-04-20 06:00:27 ==
sosreport

== Comment: #5 - Application Cdeadmin <email address hidden> - 2018-04-20 06:04:08 ==
==== State: Open by: wongklb on 20 April 2018 06:02:53 ====

sosreport link location => https://bugzilla.linux.ibm.com/attachment.cgi?id=126432

== Comment: #7 - Application Cdeadmin <email address hidden> - 2018-04-23 02:24:36 ==
==== State: MoreInfo by: tthananj on 23 April 2018 02:14:00 ====

Yes, these errors were reported with quiet splash.

(0) root @ devops4p10: /root
# cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinux-4.15.0-15-generic root=UUID=ffd7bed7-8088-4c3d-9e31-51ce962cb044 ro quiet splash

(0) root @ devops4p10: /root
# dmesg -xT -l emerg,alert,crit,err
kern :err : [Wed Apr 18 05:23:55 2018] print_req_error: critical target error, dev sr0, sector 1457408
kern :err : [Wed Apr 18 06:07:04 2018] print_req_error: critical target error, dev sr0, sector 1457408
kern :err : [Fri Apr 20 05:28:46 2018] print_req_error: critical target error, dev sr0, sector 1457408
kern :err : [Fri Apr 20 05:55:33 2018] print_req_error: critical target error, dev sr0, sector 1457408
kern :err : [Fri Apr 20 05:59:08 2018] print_req_error: critical target error, dev sr0, sector 1457408

bugproxy (bugproxy) wrote : dmesg
  • dmesg Edit (31 bytes, application/octet-stream)

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-167047 severity-high targetmilestone-inin---
bugproxy (bugproxy) wrote : drmgr
  • drmgr Edit (3.1 KiB, application/octet-stream)

Default Comment by Bridge

bugproxy (bugproxy) wrote : sosreport

Default Comment by Bridge

Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → kernel-package (Ubuntu)
affects: kernel-package (Ubuntu) → linux (Ubuntu)
Changed in ubuntu-power-systems:
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Andrew Cloke (andrew-cloke) wrote :

The bug description describes use of an LPAR. Does this report refer to running Ubuntu as a guest under PowerVM?

tags: added: triage-g
Changed in ubuntu-power-systems:
status: New → Incomplete

------- Comment From <email address hidden> 2018-04-23 06:08 EDT-------
== Comment: #7 - Application Cdeadmin <email address hidden> - 2018-04-23 02:24:36 ====== State: Open by: stccdenv on 20 April 2018 05:54:35 ====

== Comment: #5 - Application Cdeadmin <email address hidden> - 2018-04-20 06:04:08 ====== State: Open by: stccdenv on 18 April 2018 06:27:28 ====

===================================END=================================== State: Open by: cde00 on 23 April 2018 04:47:09 ====

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-23 06:41 EDT-------
== Comment: #1 - Application Cdeadmin <email address hidden> - 2018-04-20 05:56:05 ====== State: Open by: stccdenv on 20 April 2018 05:54:35 ====

===================================END=================================== State: Open by: cde00 on 23 April 2018 05:14:00 ====
==== State: Open by: cde00 on 23 April 2018 05:30:22 ====

Manoj Iyer (manjo) on 2018-04-23
Changed in linux (Ubuntu):
importance: Undecided → High
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Kernel Team (canonical-kernel-team)
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc2

tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: New → Incomplete
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-23 14:14 EDT-------
===================================END=================================== State: Open by: cde00 on 23 April 2018 13:14:00 ====

bugproxy (bugproxy) wrote :
Download full text (15.8 KiB)

------- Comment From <email address hidden> 2018-04-26 05:36 EDT-------
==== State: Open by: wongklb on 26 April 2018 04:30:30 ====

Hi Developer,

We have upgraded to the latest Ubuntu 18 mainline kernel 4.17 as seen below:
(130) root @ devops4p10: /root
# uname -a
Linux devops4p10 4.17.0-041700rc2-generic #201804230622 SMP Mon Apr 23 11:04:06 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

(0) root @ devops4p10: /root
# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu Bionic Beaver (development branch)"

However, we are still encountering the sr0 error message in the dmesg log:
(148) root @ devops4p10: /root
# dmesg -xT -l emerg,alert,crit,err
kern :err : [Thu Apr 26 03:53:37 2018] EXT4-fs (sr0): unable to read superblock
kern :err : [Thu Apr 26 03:53:37 2018] EXT4-fs (sr0): unable to read superblock
kern :err : [Thu Apr 26 03:53:37 2018] EXT4-fs (sr0): unable to read superblock
kern :err : [Thu Apr 26 03:53:37 2018] SQUASHFS error: squashfs_read_data failed to read block 0x0
kern :err : [Thu Apr 26 03:53:37 2018] squashfs: SQUASHFS error: unable to read squashfs_super_block

=================================Unknown Error New Found===============================
kern err vio 4004 uevent failed to send synthetic uevent
kern err vio vio uevent failed to send synthetic uevent
kern err vio 4000 uevent failed to send synthetic uevent
kern err integrity Unable to open file etc keys x509 ima der 2
kern err vio 4001 uevent failed to send synthetic uevent
kern err integrity Unable to open file etc keys x509 evm der 2
kern err vio 4002 uevent failed to send synthetic uevent

System logs:
==========================Automatic entries==========================
Full Log: http://w3.austin.ibm.com/afs/awd.austin.ibm.com/u/stccdenv/logs/devops4fp1_defect_template_20180426033310

Contact: Thirukumaran V T (<email address hidden>), Tommy Adams(<email address hidden>)
Backup: Atit Patel (<email address hidden>)

System Name: devops4fp1
FSP IP: 9.3.136.192 (devops4fp1.aus.stglabs.ibm.com)
System Firmware Level:
Current Side Driver:.....fips861/b0424a_1816.861
Non-Current Side Driver:.fips861/b0413a_1816.861

Lpar Access: Please refer https://pcajet.aus.stglabs.ibm.com/ for the lab password. (The Lab Test Passwords are now accessible only through the auto or manual install web apps. For example, from the manual install web app, enter your email address, check the Lab Passwords checkbox and then click on Submit.)
(To access the Lpars in 10.33.x.x network, login to any LCB or HMC then ssh/telnet to 10.33.x.x lpars)

-------------------------------------------------------
HMC IP: 9.3.118.110 (vhmccloudtst100.aus.stglabs.ibm.com)
HMC Version:
"version= Version: 9
Release: 1
Service Pack: 910
HMC Build level 1803052221
","base_version=V9R1
"

-------------------------------------------------------

=================================Logs================================
SNAP :
devops4p02: /tmp/ibmsupt/snap.pax.Z.devops4p02.180426033322 and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/snap.pax.Z.devops4p02.180426033322 /tmp/IBM.DRM.180426033322.tar.gz and also @ (NFS)9.41.164.242:/fspmount/hmc_dumps/IBM.DRM.18...

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-05-02 05:36 EDT-------
==== State: Open by: stccdenv on 02 May 2018 04:33:30 ====

Hi Linux Team,
Is there any status on this dev sr0 issue that we are encountering even after upgrading to the mainline kernel 4.17.0-041700rc2-generic.

Andrew Cloke (andrew-cloke) wrote :

To re-iterate the question in comment #4, the bug description appears to describe use of an LPAR. Does this report refer to running Ubuntu as a guest under PowerVM? Thanks.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-18 02:55 EDT-------
==== State: Open by: wongklb on 18 July 2018 01:46:11 ====

Hi Developer,

Our test environment setup is as follows:
Power 8 system, using VIOS, we partitioned it into 10 LPARs, one of the LPAR is installed with Ubuntu OS.

(130) root @ devops4p10: /root
# uname -a
Linux devops4p10 4.17.0-041700rc2-generic #201804230622 SMP Mon Apr 23 11:04:06 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

The ubuntu level is
(130) root @ devops4p10: /root
# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu Bionic Beaver (development branch)"

Currently, the system has vio uevent error logs:

# dmesg -xT -l emerg,alert,crit,err
kern :err : [Tue Jul 17 07:11:45 2018] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
kern :err : [Tue Jul 17 07:11:45 2018] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)
kern :err : [Tue Jul 17 07:11:45 2018] vio vio: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:45 2018] vio 4000: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:45 2018] vio 4001: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:45 2018] vio 4002: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:45 2018] vio 4004: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:46 2018] sd 0:0:1:0: [sda] Assuming drive cache: write through
kern :err : [Tue Jul 17 07:11:48 2018] vio vio: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:48 2018] vio 4000: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:48 2018] vio 4001: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:48 2018] vio 4002: uevent: failed to send synthetic uevent
kern :err : [Tue Jul 17 07:11:48 2018] vio 4004: uevent: failed to send synthetic uevent

The system is current on hold for debug.

tags: added: powervm
Changed in ubuntu-power-systems:
importance: High → Medium
Manoj Iyer (manjo) wrote :

I can reproduce the same error on 18.04 runinng 4.18 HWE kernel. Seems like we need to take a closer look..

ubuntu@P8lpar1:~$ dmesg -xT -l emerg,alert,crit,err
kern :err : [Wed Feb 6 15:08:08 2019] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
kern :err : [Wed Feb 6 15:08:08 2019] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)
kern :err : [Wed Feb 6 15:08:09 2019] vio vio: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:09 2019] vio 4000: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:09 2019] vio 4001: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:09 2019] vio 4002: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:09 2019] vio 4004: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:10 2019] sd 0:0:1:0: [sda] Assuming drive cache: write through
kern :err : [Wed Feb 6 15:08:13 2019] vio vio: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:13 2019] vio 4000: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:13 2019] vio 4001: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:13 2019] vio 4002: uevent: failed to send synthetic uevent
kern :err : [Wed Feb 6 15:08:13 2019] vio 4004: uevent: failed to send synthetic uevent
ubuntu@P8lpar1:~$ uname -a
Linux P8lpar1 4.18.0-14-generic #15~18.04.1-Ubuntu SMP Mon Jan 14 11:09:16 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
ubuntu@P8lpar1:~$

Manoj Iyer (manjo) on 2019-02-26
Changed in linux (Ubuntu):
importance: High → Medium
Andrea Righi (arighi) wrote :

About the first two errors ("Unable to open file ... x509_ima.der") they should be downgraded to warnings and this was previously addressed here:
https://lists.ubuntu.com/archives/kernel-team/2017-February/082526.html

Apparently this patch didn't get merged. I think we can easily apply this one.

About the other errors (synthetic uevent) it looks like a userspace daemon/program is sending incorrect data via sysfs (this could be caused by an old deprecated udev setting, or something else). Are they happening once at boot, for example when a particular device is detected / registered in the system, or they are reported periodically also when the system is running?

Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in ubuntu-power-systems:
status: Incomplete → Confirmed
Manoj Iyer (manjo) on 2019-04-08
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in ubuntu-power-systems:
status: Confirmed → Incomplete
Andrea Righi (arighi) wrote :

Update: the patch to downgrade the error "Unable to open file..." to a warning seems to be already applied to the bionic kernel (https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/bionic/commit/?h=master-next&id=58441dc86d7b066a2c02079829a96035587a7066) and the cosmic kernel (https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/cosmic/commit/?h=master-next&id=ed79083b0d87cef2a64f906614f49faa40337e96).

About the other "uevent" errors, do you think it would help to provide a test kernel with some little extra instrumentation to track down the userspace task that is (apparently) sending incorrect data via sysfs (i.e., adding pid, name, etc. to the error message)?

Manoj Iyer (manjo) wrote :

Fresh install of 18.04 on Power9 system, installed linux-image-generic-hwe-18.04

ubuntu@bobone:~$ uname -a
Linux bobone 4.18.0-18-generic #19~18.04.1-Ubuntu SMP Fri Apr 5 10:21:11 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
ubuntu@bobone:~$

ubuntu@bobone:~$ dmesg -xT -l emerg,alert,crit,err
kern :err : [Fri Apr 19 21:12:08 2019] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
kern :err : [Fri Apr 19 21:12:08 2019] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)
kern :err : [Fri Apr 19 21:12:08 2019] vio vio: uevent: failed to send synthetic uevent
kern :err : [Fri Apr 19 21:12:14 2019] vio vio: uevent: failed to send synthetic uevent
ubuntu@bobone:~$

Looks like the "integrity: Unable to open file" are still reported as "kern: err" rather than warnings like the patch (https://lists.ubuntu.com/archives/kernel-team/2017-February/082526.html) was supposed to. And, looks like the "vio vio: uevent:" error occurs only on boot, and does not seem to appear when the system is running.

Looks like /etc/keys/x509-blah is missing in initramfs? May be because the feature is not supported? But seems like the right thing to do is to downgrade the err to warn.

buntu@bobone:~$ dmesg | grep ima
[ 0.000000] PCI host bridge /pciex@600c3c0000000 (primary) ranges:
[ 2.379848] ima: Allocated hash algorithm: sha256
[ 2.518823] evm: security.ima
[ 2.618501] integrity: Unable to open file: /etc/keys/x509_ima.der (-2)
ubuntu@bobone:~$

ubuntu@bobone:~$ dmesg | grep evm
[ 2.518625] evm: Initialising EVM extended attributes:
[ 2.518651] evm: security.selinux
[ 2.518676] evm: security.SMACK64
[ 2.518691] evm: security.SMACK64EXEC
[ 2.518716] evm: security.SMACK64TRANSMUTE
[ 2.518740] evm: security.SMACK64MMAP
[ 2.518773] evm: security.apparmor
[ 2.518823] evm: security.ima
[ 2.518855] evm: security.capability
[ 2.518878] evm: HMAC attrs: 0x1
[ 2.618504] integrity: Unable to open file: /etc/keys/x509_evm.der (-2)
ubuntu@bobone:~$

Reference: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1656908

Andrea Righi (arighi) wrote :

@manjo thanks for testing again! Now I see, we need to apply another small patch to security/integrity/digsig.c, that seems to have exactly the same error message that should be considered a warning instead. I'll post a fix soon.

Andrea Righi (arighi) on 2019-04-20
description: updated
Andrea Righi (arighi) on 2019-04-20
description: updated
Andrea Righi (arighi) wrote :

And about the error "vio vio: uevent:" happening at boot, it could be triggered by something in the initramfs. I think the best thing we can do from a kernel perspective is to add extra information to the error message to figure out exactly which task is triggering this error, and maybe also print the exact data that is received by the kernel.

Khaled El Mously (kmously) wrote :

There appears to be more than one problem being described in this bug report. Since they are separate issues they should be tracked as separate bugs (this helps keeping tracking of the fixes).

We'll use this bug to track the original issue described in the bug description (downgrading the x509 errors to warnings) which @Andrea has already taken care of.

The other issue described here ("vio: failed to send synthetic uevent") will be tracked under https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1827162

Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: New → Fix Committed
Changed in linux (Ubuntu Disco):
status: New → Fix Committed
Changed in ubuntu-power-systems:
status: Incomplete → Fix Committed
Manoj Iyer (manjo) on 2019-05-13
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Andrea Righi (arighi) wrote :

@manjo can you confirm that the "integrity: Unable to open file" errors are not reported anymore with the fix applied? Thanks!

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Manoj Iyer (manjo) wrote :

ubuntu@tiselius:~$ uname -a
Linux tiselius 4.15.0-51-generic #55-Ubuntu SMP Wed May 15 14:26:12 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
ubuntu@tiselius:~$

ubuntu@tiselius:~$ apt policy linux-image-generic
linux-image-generic:
  Installed: 4.15.0.51.53
  Candidate: 4.15.0.51.53
  Version table:
 *** 4.15.0.51.53 500
        500 http://ports.ubuntu.com/ubuntu-ports bionic-proposed/main ppc64el Packages

ubuntu@tiselius:~$ dmesg -xT -l emerg,alert,crit,err | grep "integrity: Unable to open file"
ubuntu@tiselius:~$

tags: added: verification-done-bionic
removed: verification-needed-bionic
Manoj Iyer (manjo) wrote :

ubuntu@tiselius:~$ uname -a
Linux tiselius 5.0.0-16-generic #17-Ubuntu SMP Wed May 15 10:51:32 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
ubuntu@tiselius:~$ apt policy linux-image-generic
linux-image-generic:
  Installed: 5.0.0.16.17
  Candidate: 5.0.0.16.17
  Version table:
 *** 5.0.0.16.17 500
        500 http://ports.ubuntu.com/ubuntu-ports disco-proposed/main ppc64el Packages
        100 /var/lib/dpkg/status
     5.0.0.15.16 500
        500 http://ports.ubuntu.com/ubuntu-ports disco-updates/main ppc64el Packages
        500 http://ports.ubuntu.com/ubuntu-ports disco-security/main ppc64el Packages
     5.0.0.13.14 500
        500 http://ports.ubuntu.com/ubuntu-ports disco/main ppc64el Packages
ubuntu@tiselius:~$ dmesg -xT -l emerg,alert,crit,err | grep "integrity: Unable to open file"
ubuntu@tiselius:~$

tags: added: verification-done-disco
removed: verification-needed-disco

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
Manoj Iyer (manjo) wrote :

ubuntu@lewis:~$ uname -a
Linux lewis 4.18.0-21-generic #22-Ubuntu SMP Wed May 15 13:12:45 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
ubuntu@lewis:~$ apt policy linux-image-generic
linux-image-generic:
  Installed: 4.18.0.21.22
  Candidate: 4.18.0.21.22
  Version table:
 *** 4.18.0.21.22 500
        500 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el Packages
        100 /var/lib/dpkg/status
     4.18.0.20.21 500
        500 http://ports.ubuntu.com/ubuntu-ports cosmic-updates/main ppc64el Packages
        500 http://ports.ubuntu.com/ubuntu-ports cosmic-security/main ppc64el Packages
     4.18.0.10.11 500
        500 http://ports.ubuntu.com/ubuntu-ports cosmic/main ppc64el Packages
ubuntu@lewis:~$
ubuntu@lewis:~$ dmesg -xT -l emerg,alert,crit,err | grep "integrity:
Unable to open file"
ubuntu@lewis:~$

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Launchpad Janitor (janitor) wrote :
Download full text (24.0 KiB)

This bug was fixed in the package linux - 5.0.0-16.17

---------------
linux (5.0.0-16.17) disco; urgency=medium

  * linux: 5.0.0-16.17 -proposed tracker (LP: #1829173)

  * shiftfs: lock security sensitive superblock flags (LP: #1827122)
    - SAUCE: shiftfs: lock down certain superblock flags

  * Please package libbpf (which is done out of the kernel src) in Debian [for
    19.10] (LP: #1826410)
    - SAUCE: tools -- fix add ability to disable libbfd

  * Disco update: 5.0.8 upstream stable release (LP: #1828415)
    - drm/i915/gvt: do not let pin count of shadow mm go negative
    - kbuild: pkg: use -f $(srctree)/Makefile to recurse to top Makefile
    - netfilter: nft_compat: use .release_ops and remove list of extension
    - netfilter: nf_tables: use-after-free in dynamic operations
    - netfilter: nf_tables: add missing ->release_ops() in error path of newrule()
    - hv_netvsc: Fix unwanted wakeup after tx_disable
    - ibmvnic: Fix completion structure initialization
    - ip6_tunnel: Match to ARPHRD_TUNNEL6 for dev type
    - ipv6: Fix dangling pointer when ipv6 fragment
    - ipv6: sit: reset ip header pointer in ipip6_rcv
    - kcm: switch order of device registration to fix a crash
    - net: ethtool: not call vzalloc for zero sized memory request
    - net-gro: Fix GRO flush when receiving a GSO packet.
    - net/mlx5: Decrease default mr cache size
    - netns: provide pure entropy for net_hash_mix()
    - net: rds: force to destroy connection if t_sock is NULL in
      rds_tcp_kill_sock().
    - net/sched: act_sample: fix divide by zero in the traffic path
    - net/sched: fix ->get helper of the matchall cls
    - qmi_wwan: add Olicard 600
    - r8169: disable ASPM again
    - sctp: initialize _pad of sockaddr_in before copying to user memory
    - tcp: Ensure DCTCP reacts to losses
    - tcp: fix a potential NULL pointer dereference in tcp_sk_exit
    - vrf: check accept_source_route on the original netdevice
    - net/mlx5e: Fix error handling when refreshing TIRs
    - net/mlx5e: Add a lock on tir list
    - nfp: validate the return code from dev_queue_xmit()
    - nfp: disable netpoll on representors
    - bnxt_en: Improve RX consumer index validity check.
    - bnxt_en: Reset device on RX buffer errors.
    - net: ip_gre: fix possible use-after-free in erspan_rcv
    - net: ip6_gre: fix possible use-after-free in ip6erspan_rcv
    - net: bridge: always clear mcast matching struct on reports and leaves
    - net: thunderx: fix NULL pointer dereference in nicvf_open/nicvf_stop
    - net: vrf: Fix ping failed when vrf mtu is set to 0
    - net: core: netif_receive_skb_list: unlist skb before passing to pt->func
    - r8169: disable default rx interrupt coalescing on RTL8168
    - net: mlx5: Add a missing check on idr_find, free buf
    - net/mlx5e: Update xoff formula
    - net/mlx5e: Update xon formula
    - kbuild: clang: choose GCC_TOOLCHAIN_DIR not on LD
    - lib/string.c: implement a basic bcmp
    - Revert "clk: meson: clean-up clock registration"
    - tty: mark Siemens R3964 line discipline as BROKEN
    - [Config]: remove CONFIG_R3964
    - [Config]: add CONFIG_LDISC_AUTOLOAD=y
    - tty: ldisc: add sysctl to p...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package linux - 4.15.0-51.55

---------------
linux (4.15.0-51.55) bionic; urgency=medium

  * linux: 4.15.0-51.55 -proposed tracker (LP: #1829219)

  * disable a.out support (LP: #1818552)
    - [Config] Disable a.out support

  * [UBUNTU] qdio: clear intparm during shutdown (LP: #1828394)
    - s390/qdio: clear intparm during shutdown

  * ftrace in ubuntu_kernel_selftests hang with Cosmic kernel (LP: #1826385)
    - kprobes/x86: Fix instruction patching corruption when copying more than one
      RIP-relative instruction

  * touchpad not working on lenovo yoga 530 (LP: #1787775)
    - Revert "UBUNTU: SAUCE: i2c:amd Depends on ACPI"
    - Revert "UBUNTU: SAUCE: i2c:amd move out pointer in union i2c_event_base"
    - Revert "UBUNTU: SAUCE: i2c:amd I2C Driver based on PCI Interface for
      upcoming platform"
    - i2c: add helpers to ease DMA handling
    - i2c: add a message flag for DMA safe buffers
    - i2c: add extra check to safe DMA buffer helper
    - i2c: Add drivers for the AMD PCIe MP2 I2C controller
    - [Config] Update config for AMD MP2 I2C driver
    - [Config] Update I2C_AMD_MP2 annotations

  * tm-unavailable in powerpc/tm failed on Bionic Power9 (LP: #1813129)
    - selftests/powerpc: Check for pthread errors in tm-unavailable
    - selftests/powerpc: Skip tm-unavailable if TM is not enabled

  * cp_abort in powerpc/context_switch from ubunut_kernel_selftests failed on
    Bionic P9 (LP: #1813134)
    - selftests/powerpc: Remove redundant cp_abort test

  * bionic/linux: completely remove snapdragon files from sources (LP: #1827880)
    - [Packaging] remove snapdragon dead files
    - [Config] update configs after snapdragon removal

  * The noise keeps occurring when Headset is plugged in on a Dell machine
    (LP: #1827972)
    - ALSA: hda/realtek - Fixed Dell AIO speaker noise

  * Geneve tunnels don't work when ipv6 is disabled (LP: #1794232)
    - geneve: correctly handle ipv6.disable module parameter

  * There are 4 HDMI/Displayport audio output listed in sound setting without
    attach any HDMI/DP monitor (LP: #1827967)
    - ALSA: hda/hdmi - Read the pin sense from register when repolling
    - ALSA: hda/hdmi - Consider eld_valid when reporting jack event

  * Headphone jack switch sense is inverted: plugging in headphones disables
    headphone output (LP: #1824259)
    - ASoC: rt5645: Headphone Jack sense inverts on the LattePanda board

  * CTAUTO:DevOps:860.50:devops4fp1:Error occurred during LINUX Dmesg error
    Checking for all LINUX clients for devops4p10 (LP: #1766201)
    - SAUCE: integrity: downgrade error to warning

  * Screen freeze after resume from S3 when HDMI monitor plugged on Dell
    Precision 7740 (LP: #1825958)
    - PCI: Restore resized BAR state on resume

  * potential memory corruption on arm64 on dev release (LP: #1827437)
    - driver core: Postpone DMA tear-down until after devres release

  * powerpc/pmu/ebb test in ubuntu_kernel_selftest failed with "error while
    loading shared libraries" on Bionic/Cosmic PowerPC (LP: #1812805)
    - selftests/powerpc/pmu: Link ebb tests with -no-pie

  * unnecessary request_queue freeze (LP: #1815733)
    - block: av...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.18.0-21.22

---------------
linux (4.18.0-21.22) cosmic; urgency=medium

  * linux: 4.18.0-21.22 -proposed tracker (LP: #1829186)

  * disable a.out support (LP: #1818552)
    - [Config] Turn off a.out support

  * ftrace in ubuntu_kernel_selftests hang with Cosmic kernel (LP: #1826385)
    - kprobes/x86: Fix instruction patching corruption when copying more than one
      RIP-relative instruction

  * touchpad not working on lenovo yoga 530 (LP: #1787775)
    - Revert "UBUNTU: SAUCE: i2c:amd Depends on ACPI"
    - Revert "UBUNTU: SAUCE: i2c:amd move out pointer in union i2c_event_base"
    - Revert "UBUNTU: SAUCE: i2c:amd I2C Driver based on PCI Interface for
      upcoming platform"
    - i2c: add extra check to safe DMA buffer helper
    - i2c: Add drivers for the AMD PCIe MP2 I2C controller
    - [Config] Update config for AMD MP2 I2C driver
    - [Config] Update I2C_AMD_MP2 annotations

  * Geneve tunnels don't work when ipv6 is disabled (LP: #1794232)
    - geneve: correctly handle ipv6.disable module parameter

  * There are 4 HDMI/Displayport audio output listed in sound setting without
    attach any HDMI/DP monitor (LP: #1827967)
    - ALSA: hda/hdmi - Read the pin sense from register when repolling
    - ALSA: hda/hdmi - Consider eld_valid when reporting jack event

  * Headphone jack switch sense is inverted: plugging in headphones disables
    headphone output (LP: #1824259)
    - ASoC: rt5645: Headphone Jack sense inverts on the LattePanda board

  * CTAUTO:DevOps:860.50:devops4fp1:Error occurred during LINUX Dmesg error
    Checking for all LINUX clients for devops4p10 (LP: #1766201)
    - SAUCE: integrity: downgrade error to warning

  * potential memory corruption on arm64 on dev release (LP: #1827437)
    - driver core: Postpone DMA tear-down until after devres release

  * powerpc/pmu/ebb test in ubuntu_kernel_selftest failed with "error while
    loading shared libraries" on Bionic/Cosmic PowerPC (LP: #1812805)
    - selftests/powerpc/pmu: Link ebb tests with -no-pie

  * unnecessary request_queue freeze (LP: #1815733)
    - block: avoid setting nr_requests to current value
    - block: avoid setting none scheduler if it's already none

  * Kprobe event string type argument failed in ftrace from
    ubuntu_kernel_selftests on B/C i386 (LP: #1825780)
    - selftests/ftrace: Fix kprobe string testcase to not probe notrace function

  * False positive test result in run_netsocktests from net in
    ubuntu_kernel_selftest (LP: #1825777)
    - selftests/net: correct the return value for run_netsocktests

 -- Stefan Bader <email address hidden> Wed, 15 May 2019 13:18:36 +0200

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-06-04 06:30 EDT-------
Thiru , please verify now?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-06-12 03:03 EDT-------
==== State: MoreInfo by: tthananj on 12 June 2019 01:55:31 ====

We are not testing ubuntu now. I will assume that the issue is resolved and can close the bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments